Get current settlement preference and stable token options
curl --request GET \
--url https://api-beta.pepay.io/api/v1/merchant/settlement-preference \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-beta.pepay.io/api/v1/merchant/settlement-preference"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-beta.pepay.io/api/v1/merchant/settlement-preference', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-beta.pepay.io/api/v1/merchant/settlement-preference",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-beta.pepay.io/api/v1/merchant/settlement-preference"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-beta.pepay.io/api/v1/merchant/settlement-preference")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-beta.pepay.io/api/v1/merchant/settlement-preference")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"settlement_preference": "stables_preferred",
"description": "Prefer stable coins when available, fallback to original token",
"selected_settlement_token": {
"id": 5,
"token_symbol": "USDC",
"token_name": "USD Coin",
"network": "ethereum",
"token_address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"token_decimals": 6,
"photo_uri": "<string>",
"is_default": false
},
"available_stable_tokens": [
{
"id": 5,
"token_symbol": "USDC",
"token_name": "USD Coin",
"network": "ethereum",
"token_address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"token_decimals": 6,
"photo_uri": "<string>",
"is_default_settlement": false
}
],
"updated_at": 123
}Merchant
Get current settlement preference and stable token options
Retrieves the merchant’s current settlement preference configuration along with their selected stable settlement token and all available stable token options.
Settlement preferences control how payments are processed and settled:
- stables_only: Only accept stable coins (USDC, USDT, etc.) for payments
- stables_preferred: Convert to stable coins when possible, fallback to original token
- tokens: Always settle in the original token the customer paid with
If no stable settlement token is selected, the system default will be returned.
GET
/
api
/
v1
/
merchant
/
settlement-preference
Get current settlement preference and stable token options
curl --request GET \
--url https://api-beta.pepay.io/api/v1/merchant/settlement-preference \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-beta.pepay.io/api/v1/merchant/settlement-preference"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-beta.pepay.io/api/v1/merchant/settlement-preference', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-beta.pepay.io/api/v1/merchant/settlement-preference",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-beta.pepay.io/api/v1/merchant/settlement-preference"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-beta.pepay.io/api/v1/merchant/settlement-preference")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-beta.pepay.io/api/v1/merchant/settlement-preference")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"settlement_preference": "stables_preferred",
"description": "Prefer stable coins when available, fallback to original token",
"selected_settlement_token": {
"id": 5,
"token_symbol": "USDC",
"token_name": "USD Coin",
"network": "ethereum",
"token_address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"token_decimals": 6,
"photo_uri": "<string>",
"is_default": false
},
"available_stable_tokens": [
{
"id": 5,
"token_symbol": "USDC",
"token_name": "USD Coin",
"network": "ethereum",
"token_address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"token_decimals": 6,
"photo_uri": "<string>",
"is_default_settlement": false
}
],
"updated_at": 123
}Authorizations
bearerAuthmerchantApiKey
Response
Settlement preferences and token options retrieved successfully
Was this page helpful?

